﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridDeleteBtn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            UltraGridColumn col=this.ultraGrid1.DisplayLayout.Bands[0].Columns.Add("Delete", string.Empty);

            col.ButtonDisplayStyle = Infragistics.Win.UltraWinGrid.ButtonDisplayStyle.Always;
            col.CellButtonAppearance.Image = Properties.Resources.delete_icon;
            col.CellButtonAppearance.ImageHAlign = Infragistics.Win.HAlign.Center;
            col.FilterOperandStyle = FilterOperandStyle.None;
            col.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Button;
            col.MaxWidth = 25;
            col.MinWidth = 25;

        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.AddNewBox.Hidden = false;
        }

        private void ultraGrid1_ClickCellButton(object sender, CellEventArgs e)
        {
            if (e.Cell.Column.Key == "Delete") { 

                e.Cell.Row.Delete();
            }
        }

        private void ultraGrid1_AfterRowInsert(object sender, RowEventArgs e)
        {
            if (e.Row.IsAddRow)
            {
                e.Row.Cells["Delete"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Image;
            }
        }

        private void ultraGrid1_BeforeRowUpdate(object sender, CancelableRowEventArgs e)
        {
            if(e.Row.IsAddRow)
            {
                e.Row.Cells["Delete"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Button;
            }
        }

    }
}
